cascading.flow.tez.stream.element

## Class TezSourceStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<java.lang.Void,TupleEntry>
      - - cascading.flow.stream.element.SourceStage
        - - cascading.flow.tez.stream.element.TezSourceStage

- All Implemented Interfaces:
    ElementDuct, InputSource, java.util.concurrent.Callable<java.lang.Throwable>

      public class TezSourceStage
      extends SourceStage

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezSourceStage(FlowProcess flowProcess, Tap source, org.apache.tez.runtime.api.LogicalInput logicalInput)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prepare()`
    `void` | `run(java.lang.Object input)`

    - ### Methods inherited from class cascading.flow.stream.element.SourceStage

      `call, getSource, initialize, receive`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, complete, getNext, getNextFor, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TezSourceStage

          public TezSourceStage(FlowProcess flowProcess,
                        Tap source,
                        org.apache.tez.runtime.api.LogicalInput logicalInput)

  - ### Method Detail

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `Duct<java.lang.Void,TupleEntry>`

    - #### run

          public void run(java.lang.Object input)
                   throws java.lang.Throwable

      Specified by:
        `run` in interface `InputSource`
      Overrides:
        `run` in class `SourceStage`
      Throws:
        `java.lang.Throwable`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.